package domain


type AlibabaTclsAelophyOrderReceiptQueryItemInfoDTO struct {
    /*
        库存单位     */
    SkuStockUnit  *string `json:"sku_stock_unit,omitempty" `

    /*
        商品原单价     */
    ItemUnitPrice  *string `json:"item_unit_price,omitempty" `

    /*
        商品编码     */
    ItemCode  *string `json:"item_code,omitempty" `

    /*
        缺货出件数     */
    OutOfStockItemCount  *int64 `json:"out_of_stock_item_count,omitempty" `

    /*
        商品应拣数量     */
    ExpectItemCount  *int64 `json:"expect_item_count,omitempty" `

    /*
        加工服务     */
    ServiceNames  *[]string `json:"service_names,omitempty" `

    /*
        实称重量     */
    NonstandardItemCount  *string `json:"nonstandard_item_count,omitempty" `

    /*
        商品原合计金额     */
    TotalAmount  *string `json:"total_amount,omitempty" `

    /*
        商品应拣重量     */
    ExpectStockQuantity  *string `json:"expect_stock_quantity,omitempty" `

    /*
        商品名称     */
    ItemName  *string `json:"item_name,omitempty" `

    /*
        温层信息     */
    StorageMode  *int64 `json:"storage_mode,omitempty" `

    /*
        条形码     */
    Barcode  *string `json:"barcode,omitempty" `

    /*
        是否标品     */
    StandardSku  *bool `json:"standard_sku,omitempty" `

}

func (s *AlibabaTclsAelophyOrderReceiptQueryItemInfoDTO) SetSkuStockUnit(v string) *AlibabaTclsAelophyOrderReceiptQueryItemInfoDTO {
    s.SkuStockUnit = &v
    return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryItemInfoDTO) SetItemUnitPrice(v string) *AlibabaTclsAelophyOrderReceiptQueryItemInfoDTO {
    s.ItemUnitPrice = &v
    return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryItemInfoDTO) SetItemCode(v string) *AlibabaTclsAelophyOrderReceiptQueryItemInfoDTO {
    s.ItemCode = &v
    return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryItemInfoDTO) SetOutOfStockItemCount(v int64) *AlibabaTclsAelophyOrderReceiptQueryItemInfoDTO {
    s.OutOfStockItemCount = &v
    return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryItemInfoDTO) SetExpectItemCount(v int64) *AlibabaTclsAelophyOrderReceiptQueryItemInfoDTO {
    s.ExpectItemCount = &v
    return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryItemInfoDTO) SetServiceNames(v []string) *AlibabaTclsAelophyOrderReceiptQueryItemInfoDTO {
    s.ServiceNames = &v
    return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryItemInfoDTO) SetNonstandardItemCount(v string) *AlibabaTclsAelophyOrderReceiptQueryItemInfoDTO {
    s.NonstandardItemCount = &v
    return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryItemInfoDTO) SetTotalAmount(v string) *AlibabaTclsAelophyOrderReceiptQueryItemInfoDTO {
    s.TotalAmount = &v
    return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryItemInfoDTO) SetExpectStockQuantity(v string) *AlibabaTclsAelophyOrderReceiptQueryItemInfoDTO {
    s.ExpectStockQuantity = &v
    return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryItemInfoDTO) SetItemName(v string) *AlibabaTclsAelophyOrderReceiptQueryItemInfoDTO {
    s.ItemName = &v
    return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryItemInfoDTO) SetStorageMode(v int64) *AlibabaTclsAelophyOrderReceiptQueryItemInfoDTO {
    s.StorageMode = &v
    return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryItemInfoDTO) SetBarcode(v string) *AlibabaTclsAelophyOrderReceiptQueryItemInfoDTO {
    s.Barcode = &v
    return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryItemInfoDTO) SetStandardSku(v bool) *AlibabaTclsAelophyOrderReceiptQueryItemInfoDTO {
    s.StandardSku = &v
    return s
}
